Subject: Re: [GSoC] Week 1: Unification of 'for-each-ref', 'tag -l' and 'branch -l'

From: Jeff King <[email-masked]>
Date: Wed, 3 Jun 2015 17:08:34 -0400

On Wed, Jun 03, 2015 at 06:08:50PM +0200, Matthieu Moy wrote:

> Karthik Nayak <[email-masked]> writes:
> 
> > Matthieu Moy suggested that I work on the unification of these
> > commands let both the implementations stay where the user can select
> > the implementation to be used
> 
> Just to be clear: my advice is the above with "user" = "caller of the
> API", not "human being using Git". In other words, "git branch
> --contains" and "git tag --contains" would still be using two different
> algorithms, but the user wouldn't notice (except for performance).

Yeah, I think that is sensible. It should be a "feature" of the
ref-filter that can hopefully go away one day (when we have a sensible
implementation that works for both; this is something I've been meaning
to push forward, but Karthik should not have to wait on me).

-Peff